Subject: [bug#29100] [PATCH 2/3] install: Use overlayfs instead of unionfs.

From: [email-masked] (Ludovic Courtès)
Date: Sun, 05 Nov 2017 22:05:52 +0100

Hi Hartmut,

Hartmut Goebel <[email-masked]> skribis:

> Am 02.11.2017 um 18:44 schrieb Danny Milosavljevic:
>> [...]
>>> -      (let ((rw-dir (string-append target #$%backing-directory)))
>>> +      (let* ((rw-dir (string-append target #$%backing-directory))
>>> +             ;; FIXME: calculate work-dir from backing-directory:
>>> +             ;; normpath(backing-directory + "../.overlayfs-workdir")
>>> +             (work-dir (string-append target "/tmp/.overlayfs-workdir")))
>> What about the FIXME?
>
> I'll change it into a TODO. Somebody with more knowledge in scheme as to
> implement this.

What does this comment mean exactly?  The “has to” suggests that it’s
important.  :-)

Perhaps you mean:

  (canonicalize-path (string-append rw-dir "/../.overlayfs-workdir"))

?

Ludo’.